Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.ess
Class SigningCertificate

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.ess.SigningCertificate

All Implemented Interfaces:
  DEREncodable

public class SigningCertificate
extends ASN1Encodable

Constructor Summary
`SigningCertificate(ASN1Sequence seq)` constructeurs
`SigningCertificate(ESSCertID essCertID)`

Method Summary
`ESSCertID[]` | `getCerts()`
`static SigningCertificate` | `getInstance(java.lang.Object o)`
`PolicyInformation[]` | `getPolicies()`
`DERObject` | `toASN1Object()` The definition of SigningCertificate is

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SigningCertificate

    public SigningCertificate(ASN1Sequence seq)

  constructeurs

### SigningCertificate

    public SigningCertificate(ESSCertID essCertID)

Method Detail

### getInstance

    public static SigningCertificate getInstance(java.lang.Object o)

### getCerts

    public ESSCertID[] getCerts()

### getPolicies

    public PolicyInformation[] getPolicies()

### toASN1Object

    public DERObject toASN1Object()

  The definition of SigningCertificate is

       SigningCertificate ::=  SEQUENCE {
            certs        SEQUENCE OF ESSCertID,
            policies     SEQUENCE OF PolicyInformation OPTIONAL
       }

  id-aa-signingCertificate OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs9(9) smime(16) id-aa(2) 12 }
  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD